/*
 * Copyright (c) 2006 Ed Schouten <ed@fxq.nl>
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: missing.h 434 2006-07-23 21:57:43Z ed $
 */

#include "config.h"

#include <stdio.h>
#include <sys/types.h>
#include <signal.h>

#if !defined(HAVE_STRSEP)
char *strsep(char **stringp, const char *delim);
#endif /* !defined(HAVE_STRSEP) */

#if !defined(HAVE_FGETLN)
char *fgetln(FILE *fp, size_t *len);
#endif /* !defined(HAVE_FGETLN) */

#if !defined(HAVE_SLEEP)
# define sleep(s) _sleep((s) * 1000)
#endif /* !defined(HAVE_SLEEP) */

#if !defined(HAVE_RANDOM)
# define random() rand()
# define srandomdev() srand(time(NULL))
#else /* defined(HAVE_RANDOM) */
# if !defined(HAVE_SRANDOMDEV)
#  define srandomdev() srandom(time(NULL))
# endif /* !defined(HAVE_SRANDOMDEV) */
#endif /* !defined(HAVE_RANDOM) */
